Bug 1324212 - Review Request: gargoyle - Interactive fiction interpreter with excellent text rendering
Summary: Review Request: gargoyle - Interactive fiction interpreter with excellent tex...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-NEEDSPONSOR FE-DEADREVIEW FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2016-04-05 20:28 UTC by Andrew Engelbrecht
Modified: 2018-08-22 17:36 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-22 17:36:55 UTC


Attachments (Terms of Use)
Carlos's gargoyle.spec (3.90 KB, text/plain)
2016-04-05 20:28 UTC, Andrew Engelbrecht
no flags Details

Description Andrew Engelbrecht 2016-04-05 20:28:10 UTC
Created attachment 1144009 [details]
Carlos's gargoyle.spec

In light of the recent changes to the bundling policy:

* http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
* https://fedoraproject.org/wiki/Bundled_Software_policy

Is gargoyle-free eligible to be in included in Fedora as-is? If not, what changes need to be  made?

There is a discussion of possible un-bundling work going on here:

* https://groups.google.com/forum/#!msg/garglk-dev/RaIeXYNiivI/xDIQkFxoFwAJ

Can gargoyle-free be included before such work is completed?


I don't have Carlos' .src.rpm, but he did link to his .spec file which I've attached.

Original bug: https://bugzilla.redhat.com/show_bug.cgi?id=682544

Comment 1 Andrew Engelbrecht 2016-04-05 20:31:51 UTC
I'm new to packaging software, but am happy to take on the task of packaging it to Fedora.

Comment 2 Andrew Engelbrecht 2016-04-05 20:48:30 UTC
Here is the repository in question: https://github.com/garglk/garglk

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-04-10 23:49:20 UTC
Andrew,
you should start by getting your package to build properly in mock or koji. See https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#How_to_join_the_Fedora_Package_Collection_Maintainers.3F .
Usually it is expected that you post the SRPM and spec file somewhere on the net and paste the links here in the review ticket.

Comment 4 Fedora End Of Life 2016-11-25 07:16:30 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Rosser 2018-08-07 20:42:14 UTC
Hi Andrew,

If you are still interested in getting gargoyle into Fedora, please let me know and I'll be happy to sponsor you / help review the package.

Please respond within the next week or so, or I'll close the ticket in accordance with the stalled packager review policy. 

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

In which case you (or anyone else) are always welcome to open another ticket, or send me an email.

Comment 6 Ben Rosser 2018-08-22 17:36:55 UTC
It's been more than a week since the last ping for information. I'm going to close this in accordance with the stalled review policy.

If you (or anyone else) are still interested in the review please feel free to open a new ticket.


Note You need to log in before you can comment on or make changes to this bug.